%define name netwib
%define version 5.4.0
%define release 4mdk

%define major 54
%define libname %mklibname %name %major

Summary: A network library
Summary(fr): Une librairie rseau
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}-src.tar.bz2
Source1: %{name}-%{version}-doc_html.tar.bz2
Patch0: %name-5.4.0.genemake.patch.bz2
License: LGPL
Group: Networking/Other
Url: http://www.laurentconstantin.com/fr/netw/netwib/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libpcap-devel

%description
Netwib is a network library for network administrator and hackers.
She provides:
  + address translation
  + client/server udp/tcp
  + paquets creation and annalyze
  + etc.

With Netwib, you can easily create a network application.

%description -l fr
Netwib est une bibliothque rseau, destine aux administrateurs 
et hackers rseau. Elle fournit :
  + conversion d'adresse
  + clients/serveurs udp/tcp 
  + cration/dcodage/affichage de paquets
  + spoofing
  + sniffing
  + etc.

Avec Netwib, vous pouvez crer rapidement une application rseau.

%package -n %libname
Summary: A network library
Summary(fr): Une librairie rseau
Group: Networking/Other
Provides: %name
Provides: lib%name = %version-%release

%description -n %libname
Netwib is a network library for network administrator and hackers.
She provides:
  + address translation
  + client/server udp/tcp
  + paquets creation and annalyze
  + etc.

With Netwib, you can easily create a network application.

%description -n %libname -l fr
Netwib est une bibliothque rseau, destine aux administrateurs 
et hackers rseau. Elle fournit :
  + conversion d'adresse
  + clients/serveurs udp/tcp 
  + cration/dcodage/affichage de paquets
  + spoofing
  + sniffing
  + etc.

Avec Netwib, vous pouvez crer rapidement une application rseau.

%package -n %libname-devel
Summary: A network library
Summary(fr): Une librairie rseau
Group: Development/Other
Requires: %libname = %version-%release
Provides: lib%name-devel = %version-%release
Provides: %name-devel
Obsoletes: %name-devel

%description -n %libname-devel
Netwib is a network library for network administrator and hackers.
She provides:
  + address translation
  + client/server udp/tcp
  + paquets creation and annalyze
  + etc.

With Netwib, you can easily create a network application.

%description -n %libname-devel -l fr
Netwib est une bibliothque rseau, destine aux administrateurs 
et hackers rseau. Elle fournit :
  + conversion d'adresse
  + clients/serveurs udp/tcp 
  + cration/dcodage/affichage de paquets
  + spoofing
  + sniffing
  + etc.

Avec Netwib, vous pouvez crer rapidement une application rseau.

%package -n %name-doc
Summary: Netwib html documentation
Summary(fr): La documentation de netwib en html
Group: Networking/Other

%description -n %name-doc
The netwib documention in html format.

Netwib is a network library for network administrator and hackers.
She provides:
  + address translation
  + client/server udp/tcp
  + paquets creation and annalyze
  + etc.

With Netwib, you can easily create a network application.

%description -n %name-doc -l fr
La documentation de netwib au format hmtl.

Netwib est une bibliothque rseau, destine aux administrateurs 
et hackers rseau. Elle fournit :
  + conversion d'adresse
  + clients/serveurs udp/tcp 
  + cration/dcodage/affichage de paquets
  + spoofing
  + sniffing
  + etc.

Avec Netwib, vous pouvez crer rapidement une application rseau.

%prep
%setup -q -n %name-%version-src
%setup -q -D -T -a1 -n %name-%version-src
%patch0 -p1

perl -pi -e 's!^NETWIBDEF_INSTPREFIX=.*!NETWIBDEF_INSTPREFIX=/usr!' src/config.dat
# Hacking for lib64
perl -pi -e 's!^NETWIBDEF_INSTLIB=.*!NETWIBDEF_INSTLIB=%_libdir!' src/config.dat
perl -pi -e 's!^NETWIBDEF_INSTMAN=.*!NETWIBDEF_INSTMAN=%_mandir!' src/config.dat

perl -pi -e 's!^NETWIBDEF_SYSARCH=.*!NETWIBDEF_SYSARCH=%_arch!' src/config.dat

%build
cd src
./genemake
%make GCCOPT="$RPM_OPT_FLAGS -D_BSD_SOURCE -D__BSD_SOURCE -D__FAVOR_BSD -DHAVE_NET_ETHERNET_H"

%install
rm -rf $RPM_BUILD_ROOT
cd src
%makeinstall_std
%make installso DESTDIR=%buildroot

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc INSTALLUNIX.TXT INSTALLWINDOWS.TXT README.TXT
%_libdir/libnetwib54.so

%files -n %libname-devel
%defattr(-,root,root)
%doc INSTALLUNIX.TXT INSTALLWINDOWS.TXT README.TXT
%_bindir/netwib54-config
%_includedir/netwib54
%_includedir/netwib54.h
%_libdir/libnetwib*.a
%_libdir/libnetwib.so
%_mandir/man3/netwib54.3.bz2

%files -n %name-doc
%defattr(-,root,root)
%doc doc/*.txt
%doc %name-%version-doc_html/* 

%changelog
* Sun Nov  2 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.4.0-4mdk
- mklibification
- install .so files

* Sat Nov 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.4.0-3mdk
- add documention package

* Sat Nov  1 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.4.0-2mdk
- update patch0 (thanks to Laurent Constantin <laurent.constantin@aql.fr>)

* Wed Oct 29 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.4.0-1mdk
- 1st mdk spec


